Qt Reference Documentation

# Q3Shared Class Reference

The Q3Shared class is used internally for implementing shared classes. More...

     #include <Q3Shared>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

- List of all members, including inherited members

## Public Functions

| Q3Shared ()
bool | deref ()
void | ref ()

## Detailed Description

The Q3Shared class is used internally for implementing shared classes.

Use QSharedData and QSharedDataPointer instead.

## Member Function Documentation

### Q3Shared::Q3Shared ()

Constructs a Q3Shared object with a reference count of 1.

### bool Q3Shared::deref ()

Decrements the reference count and returns true if any references remain.

### void Q3Shared::ref ()

Increments the reference count.